For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Storefront
      • Management
        • Overview
          • Addresses
          • Authentication
          • Channels
            • GETList Channels
            • GETGet Channel Details by Channel ID
          • Company
          • Invoice Management
          • Orders
          • Payment
          • Quotes
          • Sales Staff
          • Shopping List
          • Super Admin
          • Users
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTB2BManagementChannels

List Channels

GET
https://api-b2b.bigcommerce.com/api/v3/io/channels
GET
/api/v3/io/channels
$curl https://api-b2b.bigcommerce.com/api/v3/io/channels \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json"
1{
2 "code": 200,
3 "data": [
4 {
5 "id": 101,
6 "channelId": 55,
7 "name": "Main Storefront",
8 "type": "storefront",
9 "platform": "bigcommerce",
10 "status": "active",
11 "site": "https://store.example.com",
12 "isVisible": true,
13 "isEnabled": true,
14 "iconUrl": "https://cdn.bigcommerce.com/icons/storefront-main.png",
15 "b2bEnabled": true,
16 "allowGlobalLogins": false,
17 "createdAt": "2023-11-15T09:30:00Z",
18 "updatedAt": "2024-05-20T16:45:00Z"
19 },
20 {
21 "id": 102,
22 "channelId": 56,
23 "name": "Wholesale Channel",
24 "type": "storefront",
25 "platform": "bigcommerce",
26 "status": "active",
27 "site": "https://wholesale.example.com",
28 "isVisible": true,
29 "isEnabled": true,
30 "iconUrl": "https://cdn.bigcommerce.com/icons/storefront-wholesale.png",
31 "b2bEnabled": true,
32 "allowGlobalLogins": true,
33 "createdAt": "2023-12-01T12:00:00Z",
34 "updatedAt": "2024-05-18T14:20:00Z"
35 }
36 ],
37 "meta": {
38 "message": "SUCCESS"
39 }
40}

Returns all enabled channels for the current store. Analogous to Get All Channels in the BigCommerce API.

Was this page helpful?
Previous

Channels

Next

Get Channel Details by Channel ID

Built with

Authentication

X-Auth-Tokenstring
HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

X-Store-Hashstring
HeaderArgumentDescription
X-Store-Hashstore_hashThe unique store hash associated with a BigCommerce store that has B2B Edition enabled.

Response

SUCCESS
codeintegerDefaults to 200
datalist of objects
metaobject

Errors

403
Forbidden Error